BEGIN ~CONCHOJ~

IF WEIGHT #2
~HappinessLT(Myself,0)
~ THEN BEGIN 0
  SAY @0
  IF ~~ THEN DO ~LeaveParty()
EscapeArea()
~ EXIT
END

IF WEIGHT #3
~False()
~ THEN BEGIN 1
  SAY @1
  IF ~~ THEN DO ~LeaveParty()
SetDialog("ConchoP")
~ EXIT
END

IF WEIGHT #0 ~GlobalTimerExpired("Conchob","GLOBAL")
Global("DragonKil","GLOBAL",0)
~ THEN BEGIN 2
  SAY @2
  IF ~~ THEN DO ~SetGlobalTimer("Conchob","GLOBAL",FIVE_DAYS)
SetGlobal("DragonKil","GLOBAL",1)
~ EXIT
END

IF WEIGHT #1 ~False()
~ THEN BEGIN 3
  SAY @3
  IF ~~ THEN DO ~LeaveParty()
EscapeArea()
~ EXIT
END
